Skip to content

Create a new theft case

POST
/createTheftCase

Allow an external party to create a new theft case in the theft case portal.

Validations:

  1. The integrator route parameter is used to validate if the client has permission to create a theft case for that integrator.
  2. The device and theft case will be created under the integrator’s organization.
  3. Object validation on the request body.

Webhook:

Every theft case can have a notification webhook URL. When a Theft Case has been resolved, the URL will be called with a POST-request containing all relevant data of the Theft Case.

When the webhook endpoint responds with a 420, 429 or 5xx, the webhook will be retried with a backoff strategy. Any other non-2xx status code will cause the webhook request to fail.

The webhook will be retried with a 2* multiplying backoff strategy. Every subsequent failure will be retried with a twice as long delay as the previous one. The maximum retry delay is 18 hours.

Webhook request body example:

{
  "theft_case_id": <case_id>,
  "theft_case_name": "<case_name>",
  "status": {
    "major":"found", //one of ["found", "not_found", "cancelled"]
    "minor":"" //optional string with extra details
  },
  "resolved_at": <ISO8601>
}
object
webhook_url
string format: uri
Example
https://example.com/webhook/caseid
theft_case_details
required
object
device_id
required

Identifier for the device/vehicle that is unique in your entire system.

This ID must remain the same across all cases created for the same vehicle.

string
Example
3822a2fe-3b3e-4dc7-b3ad-ab91eaef1128
vehicle_characteristics
required
Array<object>
object
vehicle_id

VIN or frame number of the vehicle. Also used to retrieve/validate insurance info if possible

Array<string>
license_plate

License plate of the vehicle if applicable

Array<string>
make

Brand name of the vehicle. Also used to retrieve/validate insurance info if possible

Array<string>
model

Model name of the vehicle

Array<string>
vehicle_name

Any given name of the vehicle, could be the make and model concatenated

Array<string>
color

US English name of the primary color of the vehicle

Array<string>
Array
insurance
required
object
insurer
required
string
Example
enra
policy_number

Identifier for the insurance policy

string
Example
18619034
contact_info
required
object
phone
required

Telephone number to contact the user on

string format: E.123
nullable
device_type
required

A device type is used to differentiate between different devices and their capabilities.

This provides context for the Theft Case Portal to show specific information based on device functionality.

For instance; if a device supports WiFi-localisation, the Theft Case Portal will show contextual information based on the presence of WiFi related data.

These device types will be pre-determined.

string
Example
{integrator}:2

Theft case created

object
theft_case_id
string
theft_case_name
string

Bad Request

Unauthorized

Forbidden